  elasticsearch:
    container_name: ${COMPOSE_PROJECT_NAME:-default}-elasticsearch
    build:
      context: ./elasticsearch/
      args:
        LINUX_ROOT_PASSWORD: ${LINUX_ROOT_PASSWORD}
    working_dir: /
    entrypoint: entrypoint_master.sh
    command: eswrapper
    environment:
      - "discovery.type=single-node"
    volumes:
      - ./volumes-common/file/etc/rsyslog.conf:/etc/rsyslog.conf
      - ./elasticsearch/volumes/file/root/.bash_history:/root/.bash_history
      - ./elasticsearch/volumes/file/etc/supervisor/conf.d/supervisord.conf:/etc/supervisor/conf.d/supervisord.conf
      - ./elasticsearch/volumes/file/usr/local/bin/entrypoint_master.sh:/usr/local/bin/entrypoint_master.sh
      - ./elasticsearch/volumes/file/usr/local/bin/service_reinitialize.sh:/usr/local/bin/service_reinitialize.sh
      - ./elasticsearch/volumes/file/usr/local/bin/service_start.sh:/usr/local/bin/service_start.sh
      - ./elasticsearch/volumes/file/usr/share/elasticsearch/config/elasticsearch.yml:/usr/share/elasticsearch/config/elasticsearch.yml
    networks:
      savemetenminutes-default:
        ipv4_address: ${NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS:-222.222}.${NETWORK_SUBNET_THIRD_OCTET:-222}.150
        aliases:
          - elasticsearch.${COMPOSE_PROJECT_NAME:-default}
    ports:
      - "15001:9001"
      - "15022:22"
      - "15092:9200"
      - "15093:9300"
    expose:
      - "9001"
      - "22"
      - "9200"
      - "9300"
